use "CMPS.replication.dta" /*use the weekly level data to estimate each country model*/
*estimating the individual country models with weekly data*
by cowcode: reg  GOLDVIOLENT  L.GOLDVIOLENT  GOLDNONVIOLENT   L.GOLDNONVIOLENT  L1.IDEAaccomodation L4.IDEAaccomodation L1.IDEArepression  L4.IDEArepression
*after estimating these models we exported the results to a seperate data set*

use "CMPS.results.replication.dta" /*use the data that has all the results exported to it for conducting difference of means t-tests*/
***generating figure 1***
*left panel*
dotplot rep1t if absrep1t<7, mean
*right panel*
dotplot rep4t if absrep4t<7, mean

***generating Table 1 results***

*panel A*
ttest rep1t if absrep1t<7, by (MajConflictLagAll) 
*panel B* 
ttest rep1t if absrep1t<7, by (MajConflictLag10)
*panel C*
ttest rep1t if absrep1t<7, by (MajConflictLag5) 

***generating Table 2 results***
*panel A*
ttest rep4t if absrep4t<7, by (MajConflictLagAll) 
*panel B*
ttest rep4t if absrep4t<7, by (MajConflictLag10) 
*panel C*
ttest rep4t if absrep4t<7, by (MajConflictLag5) 
 
***generating Figure 2***
dotplot rep1t if MajConflictLagAll==1 & absrep1t<7, mean

dotplot rep1t if MajConflictLagAll==0 & absrep1t<7, mean

***generating Figure 3***
dotplot rep4t if MajConflictLagAll==1 & absrep4t<7, mean

dotplot rep4t if MajConflictLagAll==0 & absrep4t<7, mean



